# RatingRecord (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.parlor.rating.server.persist
Class RatingRecord

    java.lang.Object
      com.samskivert.depot.impl.QueryResult
          com.samskivert.depot.PersistentRecord
              com.threerings.parlor.rating.server.persist.RatingRecord

All Implemented Interfaces:
  Serializable, Cloneable

    public class RatingRecord

extends PersistentRecord

See Also:
  Serialized Form

Field Summary
`static Class<RatingRecord>` `_R`
`int` `experience` The number of times the player has played this game.
`static ColumnExp<Integer>` `EXPERIENCE`
`static ColumnExp<Integer>` `GAME_ID`
`int` `gameId` The identifier of the game we're rating for.
`static ColumnExp<Timestamp>` `LAST_UPDATED`
`Timestamp` `lastUpdated` The last time this rating was updated.
`static ColumnExp<Integer>` `PLAYER_ID`
`int` `playerId` The identifier of the player we're rating.
`int` `rating` The player's current rating.
`static ColumnExp<Integer>` `RATING`
`static int` `SCHEMA_VERSION`

Constructor Summary
`RatingRecord()` An empty constructor for unmarshalling.
`RatingRecord(int gameId, int playerId, int rating, int experience)` A constructor that populates all our fields.

Method Summary
`static Key<RatingRecord>` `getKey(int gameId, int playerId)` Create and return a primary `Key` to identify a `RatingRecord` with the supplied key values.
`String` `toString()`

Methods inherited from class com.samskivert.depot.impl.QueryResult
`clone`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _R

    public static final Class<RatingRecord> _R

### GAME_ID

    public static final ColumnExp<Integer> GAME_ID

### PLAYER_ID

    public static final ColumnExp<Integer> PLAYER_ID

### RATING

    public static final ColumnExp<Integer> RATING

### EXPERIENCE

    public static final ColumnExp<Integer> EXPERIENCE

### LAST_UPDATED

    public static final ColumnExp<Timestamp> LAST_UPDATED

### SCHEMA_VERSION

    public static final int SCHEMA_VERSION

See Also:
  Constant Field Values

### gameId

    public int gameId

  The identifier of the game we're rating for.

### playerId

    public int playerId

  The identifier of the player we're rating.

### rating

    public int rating

  The player's current rating.

### experience

    public int experience

  The number of times the player has played this game.

### lastUpdated

    public Timestamp lastUpdated

  The last time this rating was updated.

Constructor Detail

### RatingRecord

    public RatingRecord()

  An empty constructor for unmarshalling.

### RatingRecord

    public RatingRecord(int gameId,
                        int playerId,
                        int rating,
                        int experience)

  A constructor that populates all our fields.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getKey

    public static Key<RatingRecord> getKey(int gameId,
                                           int playerId)

  Create and return a primary `Key` to identify a `RatingRecord` with the supplied key values.

Copyright © 2011. All Rights Reserved.